<?php
/*
 * Este arquivo é responsável por retornar um json contendo o histórico
 * do indicador especificado.
 */

require_once(__DIR__ . "/../../classes/Sistema.php"); 
set_sistema(Sistema::INDICACOES);
$sistema = new Sistema(true);

if(empty($sistema->usuario->senha_transf)) $sistema->redirecionar("../senha-transferencia");

try {
	$resultado = $sistema->indicacoes->resgatar_saldo($sistema->usuario->id, $_POST['valor'], $_POST['senha']);

	if ($resultado != -1){
		$_SESSION['erroresgate'] = $resultado;
		$sistema->redirecionar("../resgate");
	}

	$_SESSION['resgatesucesso'] = 0;
	$sistema->redirecionar("../resgate");
}
catch (Exception $e) {
	$_SESSION['erroresgate'] = 1;
	$sistema->redirecionar("../resgate");
}
?>